#include <LiquidCrystal_I2C.h>  // Including the LiquidCrystal_I2C library

LiquidCrystal_I2C lcd(0x27, 16, 2);  // Initializing the LCD screen with the I2C address, 16 columns, and 2 rows
const int voltagePin = A0;
int sensorValue = 0;
float R1 = 30000.0;
float R2 = 7500.0;
float voltage05 = 0.0;
float voltage025 = 0.0;

void setup() {
  Serial.begin(9600);
  lcd.init();  // Initializing the LCD screen
  lcd.backlight();  // Activating the backlight of the LCD screen
  
  lcd.setCursor(0, 0);  // Setting the cursor position to column 0, row 0
  lcd.print("School Sur Seine!");  // Displaying the text "School Sur Seine!"
  
  lcd.setCursor(7, 1);  // Setting the cursor position to column 7, row 1
  lcd.print(":)");  // Displaying the symbol ":)"
  
  delay(5000);  // Waiting for 5 seconds
  
  lcd.clear();  // Clearing the LCD screen
}

void loop() {
  sensorValue = analogRead(voltagePin);  // Reading the analog value from pin A0
  voltage05 = (sensorValue * 5.0) / 1023.0;
  voltage025 = voltage05 / (R2 / (R1 + R2));
  Serial.println(sensorValue);
  Serial.println(voltage05);
  Serial.println(voltage025);
  lcd.setCursor(0, 0);  // Setting the cursor position to column 0, row 0
  lcd.print("Voltage :");  // Displaying the text "Voltage :"
  lcd.print(voltage025);  // Displaying the read value
  lcd.print("      ");  // Displaying empty spaces to clear the previous characters
  delay(500);
}
